// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_mobile/fast_deal_mobile.proto

package order_mobile

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_v1_order_mobile_fast_deal_mobile_proto protoreflect.FileDescriptor

var file_v1_order_mobile_fast_deal_mobile_proto_rawDesc = []byte{
	0x0a, 0x26, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2f, 0x66, 0x61, 0x73, 0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x6d, 0x6f, 0x62, 0x69,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62,
	0x69, 0x6c, 0x65, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e,
	0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x66, 0x61, 0x73, 0x74, 0x5f, 0x64, 0x65,
	0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0xde, 0x0d, 0x0a, 0x0f, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x6f, 0x0a, 0x17,
	0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63,
	0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x32, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a,
	0x11, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x42, 0x72, 0x61,
	0x6e, 0x64, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x67, 0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65,
	0x61, 0x6c, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x69, 0x0a, 0x14, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x75, 0x72, 0x72, 0x65,
	0x6e, 0x63, 0x79, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x79, 0x0a, 0x1c, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61,
	0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e,
	0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43,
	0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x7b, 0x0a, 0x1d, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x38, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64,
	0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x70,
	0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x4e, 0x61,
	0x6d, 0x65, 0x73, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x5e, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12,
	0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x61, 0x0a, 0x0c, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x12, 0x27, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65,
	0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x0e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a, 0x0e,
	0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x29,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65,
	0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52,
	0x65, 0x6a, 0x65, 0x63, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x88, 0x02, 0x01, 0x12, 0x61, 0x0a, 0x0c, 0x44, 0x6f,
	0x6e, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x27, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x6f, 0x6e, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x6f, 0x6e, 0x65, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6a, 0x0a,
	0x0f, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65,
	0x12, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x10, 0x4c, 0x69, 0x73,
	0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2b, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46,
	0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6a, 0x0a, 0x0f, 0x41, 0x64, 0x64, 0x46,
	0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2a, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x41, 0x64, 0x64, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x73, 0x0a, 0x12, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x46, 0x61,
	0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69,
	0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x59, 0x0a, 0x1c, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_v1_order_mobile_fast_deal_mobile_proto_goTypes = []interface{}{
	(*order.ListFastDealProcessTypeRequest)(nil),       // 0: fcp.order.v1.order.ListFastDealProcessTypeRequest
	(*order.ListFastDealBrandRequest)(nil),             // 1: fcp.order.v1.order.ListFastDealBrandRequest
	(*order.ListFastDealProductRequest)(nil),           // 2: fcp.order.v1.order.ListFastDealProductRequest
	(*order.ListFastDealCurrencyRequest)(nil),          // 3: fcp.order.v1.order.ListFastDealCurrencyRequest
	(*order.ListFastDealPaymentConditionRequest)(nil),  // 4: fcp.order.v1.order.ListFastDealPaymentConditionRequest
	(*order.ListFastDealDeliveryConditionRequest)(nil), // 5: fcp.order.v1.order.ListFastDealDeliveryConditionRequest
	(*order.ListFastDealNamesRequest)(nil),             // 6: fcp.order.v1.order.ListFastDealNamesRequest
	(*order.GetFastDealRequest)(nil),                   // 7: fcp.order.v1.order.GetFastDealRequest
	(*order.ListFastDealRequest)(nil),                  // 8: fcp.order.v1.order.ListFastDealRequest
	(*order.CreateFastDealRequest)(nil),                // 9: fcp.order.v1.order.CreateFastDealRequest
	(*order.RejectFastDealRequest)(nil),                // 10: fcp.order.v1.order.RejectFastDealRequest
	(*order.DoneFastDealRequest)(nil),                  // 11: fcp.order.v1.order.DoneFastDealRequest
	(*order.GetFastDealFileRequest)(nil),               // 12: fcp.order.v1.order.GetFastDealFileRequest
	(*order.ListFastDealFileRequest)(nil),              // 13: fcp.order.v1.order.ListFastDealFileRequest
	(*order.AddFastDealFileRequest)(nil),               // 14: fcp.order.v1.order.AddFastDealFileRequest
	(*order.DeleteFastDealFileRequest)(nil),            // 15: fcp.order.v1.order.DeleteFastDealFileRequest
	(*order.DictResponse)(nil),                         // 16: fcp.order.v1.order.DictResponse
	(*order.ListFastDealNamesResponse)(nil),            // 17: fcp.order.v1.order.ListFastDealNamesResponse
	(*order.GetFastDealResponse)(nil),                  // 18: fcp.order.v1.order.GetFastDealResponse
	(*order.ListFastDealResponse)(nil),                 // 19: fcp.order.v1.order.ListFastDealResponse
	(*order.CreateFastDealResponse)(nil),               // 20: fcp.order.v1.order.CreateFastDealResponse
	(*order.RejectFastDealResponse)(nil),               // 21: fcp.order.v1.order.RejectFastDealResponse
	(*order.DoneFastDealResponse)(nil),                 // 22: fcp.order.v1.order.DoneFastDealResponse
	(*order.GetFastDealFileResponse)(nil),              // 23: fcp.order.v1.order.GetFastDealFileResponse
	(*order.ListFastDealFileResponse)(nil),             // 24: fcp.order.v1.order.ListFastDealFileResponse
	(*order.AddFastDealFileResponse)(nil),              // 25: fcp.order.v1.order.AddFastDealFileResponse
	(*order.DeleteFastDealFileResponse)(nil),           // 26: fcp.order.v1.order.DeleteFastDealFileResponse
}
var file_v1_order_mobile_fast_deal_mobile_proto_depIdxs = []int32{
	0,  // 0: fcp.order.v1.order_mobile.FastDealService.ListFastDealProcessType:input_type -> fcp.order.v1.order.ListFastDealProcessTypeRequest
	1,  // 1: fcp.order.v1.order_mobile.FastDealService.ListFastDealBrand:input_type -> fcp.order.v1.order.ListFastDealBrandRequest
	2,  // 2: fcp.order.v1.order_mobile.FastDealService.ListFastDealProduct:input_type -> fcp.order.v1.order.ListFastDealProductRequest
	3,  // 3: fcp.order.v1.order_mobile.FastDealService.ListFastDealCurrency:input_type -> fcp.order.v1.order.ListFastDealCurrencyRequest
	4,  // 4: fcp.order.v1.order_mobile.FastDealService.ListFastDealPaymentCondition:input_type -> fcp.order.v1.order.ListFastDealPaymentConditionRequest
	5,  // 5: fcp.order.v1.order_mobile.FastDealService.ListFastDealDeliveryCondition:input_type -> fcp.order.v1.order.ListFastDealDeliveryConditionRequest
	6,  // 6: fcp.order.v1.order_mobile.FastDealService.ListFastDealNames:input_type -> fcp.order.v1.order.ListFastDealNamesRequest
	7,  // 7: fcp.order.v1.order_mobile.FastDealService.GetFastDeal:input_type -> fcp.order.v1.order.GetFastDealRequest
	8,  // 8: fcp.order.v1.order_mobile.FastDealService.ListFastDeal:input_type -> fcp.order.v1.order.ListFastDealRequest
	9,  // 9: fcp.order.v1.order_mobile.FastDealService.CreateFastDeal:input_type -> fcp.order.v1.order.CreateFastDealRequest
	10, // 10: fcp.order.v1.order_mobile.FastDealService.RejectFastDeal:input_type -> fcp.order.v1.order.RejectFastDealRequest
	11, // 11: fcp.order.v1.order_mobile.FastDealService.DoneFastDeal:input_type -> fcp.order.v1.order.DoneFastDealRequest
	12, // 12: fcp.order.v1.order_mobile.FastDealService.GetFastDealFile:input_type -> fcp.order.v1.order.GetFastDealFileRequest
	13, // 13: fcp.order.v1.order_mobile.FastDealService.ListFastDealFile:input_type -> fcp.order.v1.order.ListFastDealFileRequest
	14, // 14: fcp.order.v1.order_mobile.FastDealService.AddFastDealFile:input_type -> fcp.order.v1.order.AddFastDealFileRequest
	15, // 15: fcp.order.v1.order_mobile.FastDealService.DeleteFastDealFile:input_type -> fcp.order.v1.order.DeleteFastDealFileRequest
	16, // 16: fcp.order.v1.order_mobile.FastDealService.ListFastDealProcessType:output_type -> fcp.order.v1.order.DictResponse
	16, // 17: fcp.order.v1.order_mobile.FastDealService.ListFastDealBrand:output_type -> fcp.order.v1.order.DictResponse
	16, // 18: fcp.order.v1.order_mobile.FastDealService.ListFastDealProduct:output_type -> fcp.order.v1.order.DictResponse
	16, // 19: fcp.order.v1.order_mobile.FastDealService.ListFastDealCurrency:output_type -> fcp.order.v1.order.DictResponse
	16, // 20: fcp.order.v1.order_mobile.FastDealService.ListFastDealPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	16, // 21: fcp.order.v1.order_mobile.FastDealService.ListFastDealDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	17, // 22: fcp.order.v1.order_mobile.FastDealService.ListFastDealNames:output_type -> fcp.order.v1.order.ListFastDealNamesResponse
	18, // 23: fcp.order.v1.order_mobile.FastDealService.GetFastDeal:output_type -> fcp.order.v1.order.GetFastDealResponse
	19, // 24: fcp.order.v1.order_mobile.FastDealService.ListFastDeal:output_type -> fcp.order.v1.order.ListFastDealResponse
	20, // 25: fcp.order.v1.order_mobile.FastDealService.CreateFastDeal:output_type -> fcp.order.v1.order.CreateFastDealResponse
	21, // 26: fcp.order.v1.order_mobile.FastDealService.RejectFastDeal:output_type -> fcp.order.v1.order.RejectFastDealResponse
	22, // 27: fcp.order.v1.order_mobile.FastDealService.DoneFastDeal:output_type -> fcp.order.v1.order.DoneFastDealResponse
	23, // 28: fcp.order.v1.order_mobile.FastDealService.GetFastDealFile:output_type -> fcp.order.v1.order.GetFastDealFileResponse
	24, // 29: fcp.order.v1.order_mobile.FastDealService.ListFastDealFile:output_type -> fcp.order.v1.order.ListFastDealFileResponse
	25, // 30: fcp.order.v1.order_mobile.FastDealService.AddFastDealFile:output_type -> fcp.order.v1.order.AddFastDealFileResponse
	26, // 31: fcp.order.v1.order_mobile.FastDealService.DeleteFastDealFile:output_type -> fcp.order.v1.order.DeleteFastDealFileResponse
	16, // [16:32] is the sub-list for method output_type
	0,  // [0:16] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_v1_order_mobile_fast_deal_mobile_proto_init() }
func file_v1_order_mobile_fast_deal_mobile_proto_init() {
	if File_v1_order_mobile_fast_deal_mobile_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_mobile_fast_deal_mobile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_mobile_fast_deal_mobile_proto_goTypes,
		DependencyIndexes: file_v1_order_mobile_fast_deal_mobile_proto_depIdxs,
	}.Build()
	File_v1_order_mobile_fast_deal_mobile_proto = out.File
	file_v1_order_mobile_fast_deal_mobile_proto_rawDesc = nil
	file_v1_order_mobile_fast_deal_mobile_proto_goTypes = nil
	file_v1_order_mobile_fast_deal_mobile_proto_depIdxs = nil
}
